Subject: bug#69237: 30.0.50; Toggle password visibility

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Feb 2024 18:48:07 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 19 Feb 2024 16:54:55 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> Hi Eli,
> 
> > I'm not sure TAB is the best candidate for this.  I think it would be
> > better to use some non-character key, like F9 or somesuch.  And
> > another one, for keyboards without function key.
> 
> As usual, I don't care too much about this, so I'm OK with any
> proposal. However, out of curiosity, what's wrong with TAB? I'm not
> aware that any password contains it.

Is it impossible for TAB to appear in a password?  If it is, the TAB
is okay, and my only reservation about that is that TAB is not
generally interpreted in my mental model of "advanced" input  patterns
as something that hides/shows stuff.  TAB is more about completion and
similar functionality.  But that's me.

Let's hear opinions from others.